1 Reply Latest reply on Jan 14, 2019 2:12 AM by kingfish

    Amd Driver Error?

    mysticroyale

      Hello so this is my first time with amd, I have the ryzen 5 2600 and the rx580 pulse 8gb. So my problem is, it says there are new updates available and right now I'm on the 19.1.1 and if I press check for updates it says new recommended 18.12.2 so is that a new one or old one idk? well the 19.1.1 is 2019 but still, if I update it to 19.1.1 it pops up saying there are new updates, what do I do